#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	FolderType
Summary:	Email::FolderType - return type of a mail folder
Summary(pl.UTF-8):	Email::FolderType - sprawdzenie rodzaju folderu pocztowego
Name:		perl-Email-FolderType
Version:	0.814
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	952aad6ab391737932dc32c6e5c17d26
URL:		http://search.cpan.org/dist/Email-FolderType/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.47
BuildRequires:	perl-Module-Pluggable
%endif
Conflicts:	perl-Email-FolderType-Net <= 0:1.02
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a utility module for detecting the type of a given mail box.

%description -l pl.UTF-8
Jest to moduł narzędziowy do wykrywania rodzaju podanej skrzynki
pocztowej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-FolderType.git;a=log;h=master

* Sat Oct 04 2014 Adam Osuchowski <adwol@pld-linux.org> e5edf49
- up to 0.814

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0103475
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> d60c8a2
- up to 0.813; generic URL

* Mon Mar 26 2007 radek <radek@pld-linux.org> 45008b5
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e193daf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 377e1f7
- converted to UTF-8

* Wed Aug 09 2006 Maciej Pijanka <agaran@pld-linux.org> e0f0112
- BR: perl-Module-Pluggable

* Thu Jan 13 2005 radek <radek@pld-linux.org> 15b1c6a
- release 2: conflicts perl-Email-FolderType-Net <= 0:1.02

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 8a4718e
- updated to 0.8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c0521e0
- formatting

* Thu May 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 5f4be67
- more specific BuildRequires

* Thu May 13 2004 Adam Gołębiowski <adamg@pld-linux.org> cb46477
- updated to 0.7

* Fri May 07 2004 ankry <ankry@pld-linux.org> c9e85c0
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5c1e786
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> a7913f8
- new bconds

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> c4a7558
- license fixes and unification

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> dd6b49d
- updated to 0.6

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 39c914d
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 7b4e8fb
- fixed changelog trailer

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> a4f220f
- pl

